Sub crmexport()
' Speichert den Inhalt eines Excel Arbeitsblatts als CSV-Datei
' mit " und , als Trennzeichen
' fr das crm-now/PS CRM System, www.crm-now.de, 14.11.2011
' Ohne Gewhr!
' Version 1.2

Dim Bereich As Object, Zeile As Object, Zelle As Object
Dim strTemp As String
Dim strDateiname As String
Dim strTrennzeichen As String
Dim strMappenpfad As String
Dim str As String
Dim nAscii As Integer


strMappenpfad = ActiveWorkbook.FullName
' Neue Dateiendung festlegen
strMappenpfad = Replace(strMappenpfad, ".xls", ".csv")
' Namen und Speicheort der CSV Datei abfragen
strDateiname = InputBox("Wie soll die auszugebene CSV-Datei heien?                  (z.B. c:/personen.csv)", "CSV-Export", strMappenpfad)
If strDateiname = "" Then Exit Sub
'als Trennzeichen Komma einfhren
strTrennzeichen = ","
' Umwandlungsbereich festlegen
Set Bereich = ActiveSheet.UsedRange

Open strDateiname For Output As #1

For Each Zeile In Bereich.Rows
For Each Zelle In Zeile.Cells
'Steuerzeichen als auch leading und trailing Leerzeichen entfernen
If Zelle.HasFormula = False Then
    str = Trim(CStr(Zelle))
    If Len(str) > 0 Then
        nAscii = Asc(Left(str, 1))
        If nAscii < 33 Or nAscii = 160 Then
            If Len(str) > 1 Then
                str = Right(str, Len(str) - 1)
            Else
                strl = ""
            End If
         End If
    End If
    Zelle = str
End If
'Zellen in Anfhrungsstriche setzen und durch Komma trennen
strTemp = strTemp & """" & CStr(Zelle.Text) & """" & strTrennzeichen

Next
If Right(strTemp, 1) = strTrennzeichen Then strTemp = Left(strTemp, Len(strTemp) - 1)
Print #1, strTemp
strTemp = ""
Next

Close #1
Set Bereich = Nothing
MsgBox "Datei wurde exportiert nach" & vbCrLf & strDateiname

End Sub